Package org.jfree.layouting.layouter.model

## Class LayoutText

- java.lang.Object
- - org.jfree.layouting.layouter.model.LayoutNode
  - - org.jfree.layouting.layouter.model.LayoutText

-     public class LayoutText
      extends LayoutNode

  A simple CData node. Not much to say about it.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutText​(LayoutElement parent, ContentToken text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentToken` | `getContent​()` |

    - ### Methods inherited from class org.jfree.layouting.layouter.model.LayoutNode

      `getParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutText

          public LayoutText​(LayoutElement parent,
                            ContentToken text)

  - ### Method Detail

    - #### getContent

          public ContentToken getContent​()